#ifndef TT_BMP_IMAGE_H_
#define TT_BMP_IMAGE_H_

#include <string>

class TtBmpImage {
public:
  static const int OLD_CLOSE;
  static const int SIZE;
  static const int OLD_UPARROW;
  static const int OLD_DNARROW;
  static const int OLD_RGARROW;
  static const int OLD_LFARROW;
  static const int BTSIZE;
  static const int CHECK;
  static const int CHECKBOXES;
  static const int BTNCORNERS;
  static const int OLD_REDUCE;
  static const int OLD_ZOOM;
  static const int OLD_RESTORE;
  static const int CLOSE;
  static const int UPARROW;
  static const int DNARROW;
  static const int RGARROW;
  static const int LFARROW;
  static const int REDUCE;
  static const int ZOOM;
  static const int RESTORE;
  static const int REDUCED;
  static const int ZOOMD;
  static const int RESTORED;
  static const int UPARROWD;
  static const int DNARROWD;
  static const int RGARROWD;
  static const int LFARROWD;
  static const int MNARROW;
  static const int COMBO;
  static const int UPARROWI;
  static const int DNARROWI;
  static const int RGARROWI;
  static const int LFARROWI;

  explicit TtBmpImage( int id );
  explicit TtBmpImage( const std::string& path );
  explicit TtBmpImage( HINSTANCE h_instance, const std::string& class_name );

  ~TtBmpImage();

  HBITMAP GetHandle( void ) const;

  int GetWidth( void ) const;
  int GetHeight( void ) const;

private:
  HBITMAP handle_;
};


#endif // TT_BMP_IMAGE_H_
