#ifndef TT_CRITICAL_SECTION_H_
#define TT_CRITICAL_SECTION_H_

#include <windows.h>

class TtCriticalSection {
public:
  explicit TtCriticalSection( void );
  ~TtCriticalSection();

  void Enter( void );
  void Leave( void );

private:
  CRITICAL_SECTION lock_;
};


class TtCriticalSectionHandler {
public:
  explicit TtCriticalSectionHandler( TtCriticalSection& obj );
  ~TtCriticalSectionHandler();

private:
  TtCriticalSection& obj_;
};

#endif // TT_CRITICAL_SECTION_H_
