#ifndef TT_PROGRESS_H_
#define TT_PROGRESS_H_

#include "tt_window.h"

// -- TtProgress ---------------------------------------------------------
class TtProgress : public BasedOnTtWindow<0, 0, TtWindowClassName::PROGRESS> {
public:
  int GetMaximum( void );
  int SetMaximum( unsigned short max );

  int GetAmount( void );
  int SetAmount( unsigned short position );

  int SetStep( int step );
  int StepUp( int amount );
  int StepIt( void );
};

// -- TtProgressSmooth ---------------------------------------------------
typedef TtWindowWithStyle<TtProgress, PBS_SMOOTH>
TtProgressSmooth;

#endif // TT_PROGRESS_H_
