#ifndef TT_THREAD_H_
#define TT_THREAD_H_

#include <windows.h>

class TtThread {
private:
  static unsigned int __stdcall EntryPoint( void* arg );

public:
  static unsigned int GetCurrentThreadId( void );

  explicit TtThread( void );

  virtual ~TtThread();

  void Start( void );
  void Join( void );
  void Terminate( DWORD exit_code );

  bool HasExited( void ) const;

  DWORD GetExitCode( void ) const;
  DWORD GetThreadId( void ) const;

private:
  virtual unsigned int Run( void ) = 0;

private:
  HANDLE thread_handle_;
  DWORD  thread_id_;
};

#endif // TT_THREAD_H_
