#ifndef TT_TIME_H_
#define TT_TIME_H_

#include <windows.h>

class TtTime {
public:
  static TtTime GetNow( void );

public:
  explicit TtTime( void );

  INT64 GetSerialSecond( void ) const;

  unsigned int GetYear( void ) const;
  unsigned int GetMonth( void ) const;
  unsigned int GetDayOfMonth( void ) const;
  unsigned int GetHour( void ) const;
  unsigned int GetMinute( void ) const;
  unsigned int GetSecond( void ) const;
  unsigned int GetMilliSecond( void ) const;

  double operator -( const TtTime& r ) const;

private:
  INT64        serial_second_;
  unsigned int year_;
  unsigned int month_;
  unsigned int day_of_month_;
  unsigned int hour_;
  unsigned int minute_;
  unsigned int second_;
  unsigned int milli_second_;
};

#endif // TT_TIME_H_
